package com.supervision.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.model.KgPolicy;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author Administrator
 * @description 针对表【kg_policy(政策法规表)】的数据库操作Mapper
 * @createDate 2024-04-16 13:05:24
 * @Entity com.supervision.model.KgPolicy
 */
public interface KgPolicyMapper extends BaseMapper<KgPolicy> {

    IPage<KgPolicy> queryPolicyPage(@Param("keyword") String keyword,
                                    @Param("level") Integer level,
                                    @Param("subject") Integer subject,
                                    @Param("type") Integer type,
                                    @Param("page") Page<KgPolicy> page);

}




